

Perhaps I can answer your questions about your water dynamics.  I also
do simulations of SPC water, although not with predictor-corrector,
or quaternions.  So I can't say whether there's a bug in Allen & Tildesley's
code.  But timesteps of 1-2 femtoseconds are about as large as you can
usually use on rigid water.  Some people use as high as 2 fs, I can't go
any higher than 1 fs, but it depends a little on your algorithm.  So this
makes it sound like it's not a bug but just an instability at large timesteps.
But the fact that your OH bond(s) keep growing makes it sound like there
might be some other problem.  That isn't the sort of blowup I'd expect
from timesteps, although I haven't used quaternions, so I could be mistaken.

Hope this helped.

-Steve Stuart
[email-masked]
*******************************************************************************